Bug 880254 - VLAN tag 4095 results in Invalid VLan definition
VLAN tag 4095 results in Invalid VLan definition
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
low Severity low
: ---
: 3.2.0
Assigned To: Moti Asayag
Martin Pavlik
network
:
Depends On:
Blocks: 915537
  Show dependency treegraph
 
Reported: 2012-11-26 10:09 EST by Martin Pavlik
Modified: 2016-02-10 14:47 EST (History)
12 users (show)

See Also:
Fixed In Version: SF4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
vdsm.log + engine.log (1.38 MB, application/x-gzip)
2012-11-26 10:09 EST, Martin Pavlik
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 10692 None None None Never

  None (edit)
Description Martin Pavlik 2012-11-26 10:09:39 EST
Created attachment 651999 [details]
vdsm.log + engine.log

Description of problem:
VLAN tagged 4095 can be defined in webadmin but it cannot be assigned to host. Following error appears in vdsm.log:
ConfigNetworkError: (26, "vlan id out of range: '4095', must be 0..4094")

it should be possible to assign VLAN with tag 4095, despite the fact that this tag is used for special purposes by some vendors
 

Version-Release number of selected component (if applicable):
Red Hat Enterprise Virtualization Manager Version: 3.1.0-31.el6ev 
vdsm-4.9.6-44.0.el6_3.x86_64
libvirt-0.9.10-21.el6_3.6.x86_64


How reproducible:
100%

Steps to Reproduce:
1. Create VLAN tagged 4095
2. Try to attach the VLAN to host via Setup Networks dialog

  
Actual results:
VLAN is not attached

Expected results:
VLAN attached

Additional info:
engine.log
2012-11-26 15:47:01,528 ERROR [org.ovirt.engine.core.bll.SetupNetworksCommand] (ajp-/127.0.0.1:8702-3) [4da9246f] Command org.ovirt.engine.core.bll.SetupNetworksCommand throw Vdc Bll exception. With error message VdcBLLException: org.ovirt.engine.core.vdsbroker.vdsbroker.VDSErrorException: VDSGenericException: VDSErrorException: Failed to SetupNetworksVDS, error = vlan id out of range: '4095', must be 0..4094


vdsm.log
ainProcess|Thread-255956::ERROR::2012-11-26 14:47:01,435::supervdsmServer::68::SuperVdsm.ServerCallback::(wrapper) Error in setupNetworks
Traceback (most recent call last):
  File "/usr/share/vdsm/supervdsmServer.py", line 66, in wrapper
  File "/usr/share/vdsm/supervdsmServer.py", line 118, in setupNetworks
  File "/usr/share/vdsm/configNetwork.py", line 1355, in setupNetworks
  File "/usr/share/vdsm/configNetwork.py", line 886, in addNetwork
  File "/usr/share/vdsm/configNetwork.py", line 810, in _addNetworkValidation
  File "/usr/share/vdsm/configNetwork.py", line 743, in validateVlanId
ConfigNetworkError: (26, "vlan id out of range: '4095', must be 0..4094")
Thread-255956::ERROR::2012-11-26 14:47:01,444::API::1138::vds::(setupNetworks) vlan id out of range: '4095', must be 0..4094
Traceback (most recent call last):
  File "/usr/share/vdsm/API.py", line 1136, in setupNetworks
  File "/usr/share/vdsm/supervdsm.py", line 69, in __call__
  File "/usr/share/vdsm/supervdsm.py", line 60, in <lambda>
  File "<string>", line 2, in setupNetworks
  File "/usr/lib64/python2.6/multiprocessing/managers.py", line 740, in _callmethod
ConfigNetworkError: (26, "vlan id out of range: '4095', must be 0..4094")
Thread-255956::DEBUG::2012-11-26 14:47:01,453::BindingXMLRPC::900::vds::(wrapper) return setupNetworks with {'status': {'message': "vlan id out of range: '4095', must be 0..4094", 'code': 26}}
Comment 1 Dan Kenigsberg 2012-11-27 04:11:03 EST
The 4094 limitation was intentional, as 4095 is not allowed by Linux

 ioctl(3, SIOCSIFVLAN, 0x7fff1fe7d620)   = -1 ERANGE (Numerical result out of range)

this bug should be either pushed down to kernel (to accept this reserved value), or up to Engine (to block people from using it). I vote for the latter.
Comment 6 Martin Pavlik 2013-01-24 09:59:15 EST
now the allowed tags are 0 to 4094
Comment 7 Itamar Heim 2013-06-11 04:24:23 EDT
3.2 has been released
Comment 8 Itamar Heim 2013-06-11 04:25:56 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.